module.exports = (grunt) ->
  grunt.initConfig
    copy:
      options:
        encoding: 'utf8'
      all:
        files: [
          {src: "dist/css/select-m.css", dest: "examples/css/select-m.css"}
          {src: "dist/css/select-m.default.css", dest: "examples/css/select-m.default.css"}
          {src: "bower_components/html5shiv/dist/html5shiv.js", dest: "examples/js/html5shiv.js"}
          {src: "bower_components/normalize-css/normalize.css", dest: "examples/css/normalize.css"}
          {src: "bower_components/jquery/jquery.js", dest: "examples/js/jquery.js", isFile: true}
          {src: "bower_components/jquery/dist/jquery.js", dest: "examples/js/jquery.js", isFile: true}
          {src: "dist/js/select-m.js", dest: "examples/js/select-m.js"}
        ]
      css:
        files: [
          {src: "dist/css/select-m.css", dest: "examples/css/select-m.css"}
          {src: "dist/css/select-m.default.css", dest: "examples/css/select-m.default.css"}
        ]
      js:
        files: [
          {src: "dist/js/select-m.js", dest: "examples/js/select-m.js"}
        ]

    sass:
      options:
        cacheLocation: "src/scss/.sass-cache"
        sourcemap: "none"
        style: "expanded"
        unixNewline: true
        update: true
      main:
        files: [
          {src: "src/scss/select-m.scss", dest: "dist/css/select-m.css"}
          {src: "src/scss/select-m.default.scss", dest: "dist/css/select-m.default.css"}
        ]
      mainMin:
        options:
          style: "compressed"
        files: [
          {src: "src/scss/select-m.scss", dest: "dist/css/select-m.min.css"}
          {src: "src/scss/select-m.default.scss", dest: "dist/css/select-m.default.min.css"}
        ]

    coffee:
      main:
        files: [
          {src: "src/coffee/select-m.coffee", dest: "dist/js/select-m.js"}
        ]

    watch:
      scss:
        files: [
          "src/scss/select-m.scss"
          "src/scss/select-m.default.scss"
        ]
        tasks: [
          "sass"
          "copy:css"
        ]
      coffee:
        files: [
          "src/coffee/select-m.coffee"
        ]
        tasks: [
          "coffee"
          "copy:js"
        ]

  grunt.loadNpmTasks "grunt-contrib-copy"
  grunt.loadNpmTasks "grunt-contrib-sass"
  grunt.loadNpmTasks "grunt-contrib-coffee"
  grunt.loadNpmTasks "grunt-contrib-watch"

  grunt.registerTask "default", ["sass", "coffee", "copy:all"]
  grunt.registerTask "start-dev", ["watch"]
